@import "src/theme/theme-variables";

.table-container {
  position: relative;

  .loading {
    display: none;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    z-index: 2;

    img {
      width: 150px;
    }
  }

  &__pending {
    .loading {
      display: flex;
    }

    .table {
      filter: blur(2px);
    }
  }

  .table {
    width: 100%;
    border-radius: 7px;
    overflow: hidden;
    box-shadow: none;
    font-family: $font-family;
    position: relative;
    border: 1px solid #ccc;

    &__header {
      text-align: center !important;
      font-size: 0.9rem;
      font-weight: 500;
      font-family: $font-family;
      color: theme-color("primary");
      background: theme-color("primaryLight");
    }

    &__body {
      text-align: center !important;
      font-size: 0.8rem;
      font-family: $font-family-num;
      color: theme-color("primary");
    }

    &__action-button {
      color: #aeaeae;
    }
  }
  ::ng-deep td.mat-cell:first-of-type,
  td.mat-footer-cell:first-of-type,
  th.mat-header-cell:first-of-type {
    padding-left: 0;
    padding-right: 5px !important;
  }
}

.pagination-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;

  & .pending {
    img {
      width: 70px;
      height: 70px;
    }
  }

  & .pagination::ng-deep {
    & ul {
      display: flex;
      padding: 0 !important;
      font-family: $font-family-num;

      & li {
        padding: 0 !important;

        &::after,
        &::before {
          margin: 0;
        }

        & a {
          padding: 0 !important;
          width: 40px;
          height: 40px;
          display: flex;
          align-items: center;
          justify-content: center;
          border-radius: 50%;

          &::after,
          &::before {
            margin: 0;
          }
        }
      }
    }

    & .ngx-pagination .current {
      width: 40px;
      height: 40px;
      text-align: center;
      font-size: 18px;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: 50%;
      background: theme-color("primary");
      margin: 0 8px;
    }

    .ngx-pagination .disabled {
      width: 40px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: 50%;
    }
  }
}
.hide{
  display: none;
}
.btnPayment{
  border: 1px solid red;
  padding: 3px 10px;
  border-radius: 4px;
  cursor: pointer;
}
